lib64rpm-devel-4.8.1-10pclos2016.x86_64.rpm


Advertisement

Description

lib64rpm-devel - Development files for applications which will manipulate RPM packages

Property Value
Distribution PCLinuxOS
Repository PCLinuxOS x86_64
Package name lib64rpm-devel
Package version 4.8.1
Package release 10pclos2016
Package architecture x86_64
Package type rpm
Installed size 264.31 KB
Download size 264.31 KB
Official Mirror ftp.nluug.nl
This package contains the RPM C library and header files.  These
development files will simplify the process of writing programs
which manipulate RPM packages and databases and are intended to make
it easier to create graphical package managers or any other tools
that need an intimate knowledge of RPM packages in order to function.
This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

Alternatives

Package Version Architecture Repository
lib64rpm-devel - - -

Requires

Name Value
devel(libbz2(64bit)) -
devel(libdb-4.8(64bit)) -
devel(libdl(64bit)) -
devel(libelf(64bit)) -
devel(liblua(64bit)) -
devel(liblzma(64bit)) -
devel(libm(64bit)) -
devel(libmagic(64bit)) -
devel(libnspr4(64bit)) -
devel(libnss3(64bit)) -
devel(libnssutil3(64bit)) -
devel(libplc4(64bit)) -
devel(libplds4(64bit)) -
devel(libpopt(64bit)) -
devel(librpm(64bit)) -
devel(librpmio(64bit)) -
devel(libsmime3(64bit)) -
devel(libsoftokn3(64bit)) -
devel(libsqlite3(64bit)) -
devel(libssl3(64bit)) -
devel(libz(64bit)) -
pkgconfig -
rpm = 4.8.1-10pclos2016
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rpmlib(VersionedDependencies) <= 3.0.3-1

Provides

Name Value
devel(librpm(64bit)) -
devel(librpmbuild(64bit)) -
devel(librpmio(64bit)) -
lib64rpm-devel = 4.8.1-10pclos2016
lib64rpm-devel(x86-64) = 4.8.1-10pclos2016
librpm-devel = 4.8.1-10pclos2016
pkgconfig(rpm) = 4.8.1
rpm-devel = 4.8.1-10pclos2016

Obsoletes

Name Value
lib64rpm4.2-devel -
lib64rpm4.4-devel -
rpm-devel < 4.4.1

Download

Type URL
Binary Package lib64rpm-devel-4.8.1-10pclos2016.x86_64.rpm
Source Package rpm-4.8.1-10pclos2016.src.rpm

Install Howto

  1. Enable PCLinuxOS x86_64 repository in /etc/apt/sources.list:
    rpm http://ftp.nluug.nl/pub/os/Linux/distr/pclinuxos/pclinuxos/apt/ pclinuxos/64bit x86_64
  2. Update the package index:
    # apt-get update
  3. Install lib64rpm-devel rpm package:
    # apt-get install lib64rpm-devel

See Also

Package Description
lib64rpm1-4.8.1-10pclos2016.x86_64.rpm Library used by rpm
lib64rrdtool-devel-1.3.8-5pclos2013.x86_64.rpm Development libraries and headers for lib64rrdtool4
lib64rrdtool4-1.3.8-5pclos2013.x86_64.rpm RRDTool - round robin database shared libraries
lib64rsvg2-devel-2.40.16-1pclos2016.x86_64.rpm Libraries and include files for developing with librsvg
lib64rsvg2_2-2.40.16-1pclos2016.x86_64.rpm Raph's SVG library
lib64rsync-devel-0.9.7-2pclos2014.x86_64.rpm Headers for librsync
lib64rsync1-0.9.7-2pclos2014.x86_64.rpm Rsync libraries
lib64rtl-sdr-devel-0.5.3-1pclos2016.x86_64.rpm Development files for rtl-sdr
lib64rtl-sdr0-0.5.3-1pclos2016.x86_64.rpm Library files for rtl-sdr
lib64rtmp-devel-2.4-1pclos2016.x86_64.rpm Development files for librtmp
lib64rtmp0-2.3-1pclos2011.x86_64.rpm Shared library: librtmp
lib64rtmp1-2.4-1pclos2016.x86_64.rpm Shared library: librtmp
lib64rubberband-devel-1.6.0-1pclos2011.x86_64.rpm Development files for rubberband
lib64rubberband2-1.6.0-1pclos2011.x86_64.rpm Audio time-stretching and pitch-shifting library
lib64sablotron-devel-1.0.3-1pclos2011.x86_64.rpm The development libraries and header files for Sablotron
Advertisement
Advertisement